package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag710;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag44ACreator extends AbsTagCreate {

     private MT710Creator mt710Creator;

    public Tag44ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt710Creator= (MT710Creator) absMTCreator;
    }

    public void creator()
    {
        String tag44AValue = mt710Creator.getPlaceofTakinginChargeDispatchfromPlaceofReceipt();
        mt710Creator.set("44A", tag44AValue);
    }
}

